aboutsummaryrefslogtreecommitdiff
path: root/tools/panel/batterymon
diff options
context:
space:
mode:
Diffstat (limited to 'tools/panel/batterymon')
-rwxr-xr-xtools/panel/batterymon13
1 files changed, 13 insertions, 0 deletions
diff --git a/tools/panel/batterymon b/tools/panel/batterymon
new file mode 100755
index 0000000..19a4d5a
--- /dev/null
+++ b/tools/panel/batterymon
@@ -0,0 +1,13 @@
+#!/bin/bash
+while true;do
+if [ `battery -f '%i'` -lt 5 ] && ! [ -z ~/.dontshut ]; then
+touch ~/.dontshut
+zenity --question --title "Battery" --text "Battery if pretty fucking low, go to sleep?"
+if [ $? -ne 1 ];then
+pm-suspend
+fi
+else
+rm ~/.dontshut
+fi
+sleep 30;
+done